Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swing.addon
Class NButtons

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.Box
                        |
                        +--swing.addon.NButtons

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

Direct Known Subclasses:
  DismissButton, OkCancelButtons

public class NButtons
extends javax.swing.Box

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.Box
`javax.swing.Box.AccessibleBox, javax.swing.Box.Filler`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`java.lang.Object` | `userData`

Fields inherited from class javax.swing.Box
`accessibleContext`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`NButtons(java.lang.String b1)`
`NButtons(java.lang.String[] texts)`
`NButtons(java.lang.String b1, java.lang.String b2)`
`NButtons(java.lang.String b1, java.lang.String b2, java.lang.String b3)`
`NButtons(java.lang.String b1, java.lang.String b2, java.lang.String b3, java.lang.String b4)`

Method Summary
`void` | `addActionListener(java.awt.event.ActionListener l)`
`void` | `addHelpButton(java.lang.String filename)`
`int` | `get()`
`Button` | `getComponentNumber(int index)`
`void` | `setEnabled(boolean b)`
`void` | `setEnabled(int which, boolean b)`
`void` | `setShowSeparator(boolean b)`

Methods inherited from class javax.swing.Box
`createGlue, createHorizontalBox, createHorizontalGlue, createHorizontalStrut, createRigidArea, createVerticalBox, createVerticalGlue, createVerticalStrut, getAccessibleContext, setLayout`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addNotify, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFont, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### userData

    public java.lang.Object userData

Constructor Detail

### NButtons

    public NButtons(java.lang.String b1)

### NButtons

    public NButtons(java.lang.String[] texts)

### NButtons

    public NButtons(java.lang.String b1,
                    java.lang.String b2)

### NButtons

    public NButtons(java.lang.String b1,
                    java.lang.String b2,
                    java.lang.String b3)

### NButtons

    public NButtons(java.lang.String b1,
                    java.lang.String b2,
                    java.lang.String b3,
                    java.lang.String b4)

Method Detail

### addActionListener

    public void addActionListener(java.awt.event.ActionListener l)

### addHelpButton

    public void addHelpButton(java.lang.String filename)

### get

    public int get()

### getComponentNumber

    public Button getComponentNumber(int index)

### setEnabled

    public void setEnabled(boolean b)

  Overrides:
    `setEnabled` in class `java.awt.Component`

### setEnabled

    public void setEnabled(int which,
                           boolean b)

### setShowSeparator

    public void setShowSeparator(boolean b)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD